## org.eclipse.datatools.enablement.ase
Class JDBCASEPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.enablement.ase.JDBCASEPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class JDBCASEPlugin

extends org.eclipse.core.runtime.Plugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`JDBCASEPlugin()` The constructor.

Method Summary
`org.eclipse.core.runtime.IStatus` `createErrorStatus(java.lang.String message)`
`org.eclipse.core.runtime.IStatus` `createErrorStatus(java.lang.String message, java.lang.Throwable e)`
`org.eclipse.core.runtime.IStatus` `createErrorStatus(java.lang.Throwable e)`
`static JDBCASEPlugin` `getDefault()` Returns the shared instance.
`void` `log(org.eclipse.core.runtime.IStatus status)` Logs runtime status.
`void` `log(java.lang.String message)` Logs error message.
`void` `log(java.lang.String message, java.lang.Throwable e)` Logs an error message with an exception.
`void` `log(java.lang.Throwable e)` Logs and exception.
`static java.lang.String` `makeDriverURL(java.lang.String host, java.lang.String port, java.lang.String dbName)` Build a jConnect driver URL from a host, port, and dbName
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCASEPlugin

    public JDBCASEPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static JDBCASEPlugin getDefault()

  Returns the shared instance.

### makeDriverURL

    public static java.lang.String makeDriverURL(java.lang.String host,
                                                 java.lang.String port,
                                                 java.lang.String dbName)

  Build a jConnect driver URL from a host, port, and dbName

  Parameters:
    `host` -
    `port` -
    `dbName` -
  Returns:
    urlString

### log

    public void log(org.eclipse.core.runtime.IStatus status)

  Logs runtime status.

  Parameters:
    `status` - Runtime status.

### log

    public void log(java.lang.String message)

  Logs error message.

  Parameters:
    `message` - Error message.

### log

    public void log(java.lang.Throwable e)

  Logs and exception.

  Parameters:
    `e` - Exception.

### createErrorStatus

    public org.eclipse.core.runtime.IStatus createErrorStatus(java.lang.String message)

### createErrorStatus

    public org.eclipse.core.runtime.IStatus createErrorStatus(java.lang.Throwable e)

### createErrorStatus

    public org.eclipse.core.runtime.IStatus createErrorStatus(java.lang.String message,
                                                              java.lang.Throwable e)

### log

    public void log(java.lang.String message,
                    java.lang.Throwable e)

  Logs an error message with an exception.

  Parameters:
    `e` - Exception.